Bug 150803

Summary: Suppress deprecated-declarations warning in WebCore/platform/URL.cpp
Product: WebKit Reporter: Csaba Osztrogonác <ossy>
Component: New BugsAssignee: Csaba Osztrogonác <ossy>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, ossy
Priority: P2    
Version: Other   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 150619    
Attachments:
Description Flags
Patch none

Description Csaba Osztrogonác 2015-11-02 06:57:00 PST
/home/ossy/WebKit/Source/WebCore/platform/URL.cpp: In function ‘void WebCore::appendEncodedHostname(WebCore::UCharBu
ffer&, WTF::StringView)’:
/home/ossy/WebKit/Source/WebCore/platform/URL.cpp:1697:64: warning: ‘int32_t uidna_IDNToASCII_55(const UChar*, int32_t, UChar*, int32_t, int32_t, UParseError*, UErrorCode*)’ is deprecated [-Wdeprecated-declarations]
         hostnameBufferLength, UIDNA_ALLOW_UNASSIGNED, 0, &error);
                                                                ^
In file included from /usr/include/x86_64-linux-gnu/unicode/platform.h:23:0,
                 from /usr/include/x86_64-linux-gnu/unicode/ptypes.h:50,
                 from /usr/include/x86_64-linux-gnu/unicode/umachine.h:44,
                 from /usr/include/x86_64-linux-gnu/unicode/utypes.h:36,
                 from /home/ossy/WebKit/Source/WTF/wtf/text/ASCIIFastPath.h:26,
                 from /home/ossy/WebKit/Source/WTF/wtf/text/WTFString.h:28,
                 from /home/ossy/WebKit/Source/WebCore/platform/URL.h:33,
                 from /home/ossy/WebKit/Source/WebCore/platform/URL.cpp:28:
/usr/include/x86_64-linux-gnu/unicode/uidna.h:673:1: note: declared here
 uidna_IDNToASCII(  const UChar* src, int32_t srcLength,
 ^

Fortunately it doesn't cause build failure, but it should be fixed in the near future.
Comment 1 Csaba Osztrogonác 2015-11-05 05:31:38 PST
Created attachment 264857 [details]
Patch
Comment 2 WebKit Commit Bot 2015-11-06 05:08:28 PST
Comment on attachment 264857 [details]
Patch

Clearing flags on attachment: 264857

Committed r192100: <http://trac.webkit.org/changeset/192100>
Comment 3 WebKit Commit Bot 2015-11-06 05:08:31 PST
All reviewed patches have been landed.  Closing bug.